//-----------------------------------------------------------------------------------------------
// IntVector3.cpp
//
#include "GypsyPrecompiledHeader.hpp"

//-----------------------------------------------------------------------------------------------
#include "Engine/Core/IntVector3.hpp"
#include "Engine/Core/ErrorWarningAssert.hpp"
#include <stdlib.h>


//-----------------------------------------------------------------------------------------------
STATIC const IntVector3 IntVector3::ZERO	( 0, 0, 0 );
STATIC const IntVector3 IntVector3::ONE		( 1, 1, 1 );


//-----------------------------------------------------------------------------------------------
IntVector3::IntVector3( const char* asText )
	: x( 0 )
	, y( 0 )
	, z( 0 )
{
	SetFromText( asText );
}


//-----------------------------------------------------------------------------------------------
void IntVector3::SetFromText( const char* asText )
{
	UNUSED( asText );
	FATAL_ERROR( "IntVector3::SetFromText() not yet implemented!" );
/*
	const int MAX_BUFFER_LENGTH = 1024;
	char writeBuffer[ MAX_BUFFER_LENGTH ];
	const char* readScan = asText;
	char* writeScan = writeBuffer;
	char* startOfSecondValue = writeBuffer;
	char* endOfTempBuffer = &writeBuffer[ MAX_BUFFER_LENGTH - 1 ];
	
	while( *readScan != '\0' && writeScan != endOfTempBuffer )
	{
		if( *readScan == ',' )
		{
			*writeScan = '\0';
			startOfSecondValue = writeScan + 1;
		}
		else
		{
			*writeScan = *readScan;
		}

		++ readScan;
		++ writeScan;
	}

	*writeScan = '\0';
	x = atoi( writeBuffer );
	y = atoi( startOfSecondValue );
*/
}

